GET
https://api.cryptohopper.com/v1/hopper/{id}/panicbutton
Queues panic mode for the hopper: it turns off buying, cancels open buy orders and sells all open positions.
OAuth scope:
trade manage About scopes
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/panicbutton" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/panicbutton', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/panicbutton",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/panicbutton');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
market_orders |
string | Optional | Set to 1 to sell with market orders. Default 0. |
Response
{
"data": "Panic mode requested."
}